commit:     f0a75dd9a52b434176fbdeb934cd9158ab11d558
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Tue Apr 25 01:00:17 2017 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Tue Apr 25 01:00:17 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f0a75dd9

net-ftp/pure-ftpd: Bump to version 1.0.46

Package-Manager: Portage-2.3.5, Repoman-2.3.2

 net-ftp/pure-ftpd/Manifest                |   1 +
 net-ftp/pure-ftpd/pure-ftpd-1.0.46.ebuild | 136 ++++++++++++++++++++++++++++++
 2 files changed, 137 insertions(+)

diff --git a/net-ftp/pure-ftpd/Manifest b/net-ftp/pure-ftpd/Manifest
index 7404fadde7d..02bce4498ea 100644
--- a/net-ftp/pure-ftpd/Manifest
+++ b/net-ftp/pure-ftpd/Manifest
@@ -1 +1,2 @@
 DIST pure-ftpd-1.0.45.tar.bz2 497695 SHA256 
9256db7e59abdba712f84581a3ec47cd5b039034c78825d9dc24ea4eecda7d20 SHA512 
bb22b6b88778e2586411318905aa165e590185f7a87ac30761d6250f4de22a1deec6be5441926eae28011d3a5a923bad2ac366e237cc96a4d7932e3dbc9a1f2a
 WHIRLPOOL 
4eebb19342d2580658cac7bb13cf6ecebf70ec5000336565aea6609204befe85a5a96aed1ad24ada6a3b187a4750194d7d4676ea4942f0aff3137b45c9cde139
+DIST pure-ftpd-1.0.46.tar.bz2 490337 SHA256 
9e733f366d8d600004bb171cf2ec75dad0da4b922b7102ee4b3e18824966192d SHA512 
e44c1842e6f101f4d7dd42617392f3d54ff58d68608f6a3bc5e612fc89bfd1da6935215a7e87c0d2bbd9fc9f0fa31a40ceb764fd67428dfdd8c5454e0d64e0ab
 WHIRLPOOL 
b8b9ab6cab507dab9c529be651ef37126134932fb4d853e9ddbe012434e06dade27301523098db72ce8ed8287ef0ed4750284827266a8cdf9359313046780a40

diff --git a/net-ftp/pure-ftpd/pure-ftpd-1.0.46.ebuild 
b/net-ftp/pure-ftpd/pure-ftpd-1.0.46.ebuild
new file mode 100644
index 00000000000..0666f54ec76
--- /dev/null
+++ b/net-ftp/pure-ftpd/pure-ftpd-1.0.46.ebuild
@@ -0,0 +1,136 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+inherit eutils flag-o-matic
+
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86"
+
+DESCRIPTION="Fast, production-quality, standard-conformant FTP server"
+HOMEPAGE="http://www.pureftpd.org/";
+SRC_URI="ftp://ftp.pureftpd.org/pub/${PN}/releases/${P}.tar.bz2
+       http://download.pureftpd.org/pub/${PN}/releases/${P}.tar.bz2";
+
+LICENSE="BSD"
+SLOT="0"
+
+IUSE="anondel anonperm anonren anonres caps charconv implicittls ldap libressl 
mysql noiplog pam paranoidmsg postgres resolveids selinux ssl sysquota vchroot 
xinetd"
+
+REQUIRED_USE="implicittls? ( ssl )"
+
+DEPEND="caps? ( sys-libs/libcap )
+       charconv? ( virtual/libiconv )
+       ldap? ( >=net-nds/openldap-2.0.25 )
+       mysql? ( virtual/mysql )
+       pam? ( virtual/pam )
+       postgres? ( dev-db/postgresql:= )
+       ssl? (
+               !libressl? ( >=dev-libs/openssl-0.9.6g:0=[-bindist] )
+               libressl? ( dev-libs/libressl:= )
+       )
+       sysquota? ( sys-fs/quota[-rpc] )
+       xinetd? ( virtual/inetd )"
+
+RDEPEND="${DEPEND}
+       dev-libs/libsodium:=
+       net-ftp/ftpbase
+       selinux? ( sec-policy/selinux-ftp )"
+
+PATCHES=(
+       "${FILESDIR}"/${PN}-1.0.28-pam.patch
+)
+
+src_configure() {
+       # adjust max user length to something more appropriate
+       # for virtual hosts. See bug #62472 for details.
+       sed -e "s:# define MAX_USER_LENGTH 32U:# define MAX_USER_LENGTH 127U:" \
+               -i "${S}/src/ftpd.h" || die "sed failed"
+
+       # Those features are only configurable like this, see bug #179375.
+       use anondel && append-cppflags -DANON_CAN_DELETE
+       use anonperm && append-cppflags -DANON_CAN_CHANGE_PERMS
+       use anonren && append-cppflags -DANON_CAN_RENAME
+       use anonres && append-cppflags -DANON_CAN_RESUME
+       use resolveids && append-cppflags -DALWAYS_RESOLVE_IDS
+
+       # Do not auto-use SSP -- let the user select this.
+       export ax_cv_check_cflags___fstack_protector_all=no
+
+       local myeconfargs=(
+               --enable-largefile
+               --with-altlog
+               --with-cookie
+               --with-diraliases
+               --with-extauth
+               --with-ftpwho
+               --with-language=${PUREFTPD_LANG:=english}
+               --with-peruserlimits
+               --with-privsep
+               --with-puredb
+               --with-quotas
+               --with-ratios
+               --with-throttling
+               --with-uploadscript
+               --with-virtualhosts
+               $(use_with charconv rfc2640)
+               $(use_with ldap)
+               $(use_with mysql)
+               $(use_with pam)
+               $(use_with paranoidmsg)
+               $(use_with postgres pgsql)
+               $(use_with ssl tls)
+               $(use_with implicittls)
+               $(use_with vchroot virtualchroot)
+               $(use_with sysquota sysquotas)
+               $(usex caps '' '--without-capabilities')
+               $(usex noiplog '--without-iplogging' '')
+               $(usex xinetd '' '--without-inetd')
+       )
+       econf "${myeconfargs[@]}"
+}
+
+src_install() {
+       local DOCS=( AUTHORS CONTACT ChangeLog FAQ HISTORY INSTALL README* NEWS 
)
+
+       default
+
+       newinitd "${FILESDIR}/pure-ftpd.rc11" ${PN}
+       newconfd "${FILESDIR}/pure-ftpd.conf_d-3" ${PN}
+
+       if use implicittls ; then
+               sed -i '/^SERVER/s@21@990@' "${ED}"/etc/conf.d/${PN} \
+                       || die "Adjusting default server port for implicittls 
usage failed!"
+       fi
+
+       keepdir /var/lib/run/${PN}
+
+       if use xinetd ; then
+               insinto /etc/xinetd.d
+               newins "${FILESDIR}/pure-ftpd.xinetd" ${PN}
+       fi
+
+       if use ldap ; then
+               insinto /etc/openldap/schema
+               doins pureftpd.schema
+               insinto /etc/openldap
+               insopts -m 0600
+               doins pureftpd-ldap.conf
+       fi
+}
+
+pkg_postinst() {
+       if [[ -z "${REPLACING_VERSIONS}" ]]; then
+               # This is a new installation
+               elog
+               elog "Before starting Pure-FTPd, you have to edit the 
/etc/conf.d/pure-ftpd file!"
+               elog
+               ewarn "It's *really* important to read the README provided with 
Pure-FTPd!"
+               ewarn "Check out 
http://download.pureftpd.org/pub/pure-ftpd/doc/README for general info"
+               ewarn "and 
http://download.pureftpd.org/pub/pure-ftpd/doc/README.TLS for SSL/TLS info."
+               ewarn
+               if use charconv ; then
+                       ewarn "Charset conversion is an *experimental* feature!"
+                       ewarn "Remember to set a valid charset for your 
filesystem in the configuration!"
+               fi
+       fi
+}

Reply via email to